<template>
  <div class="dashboard-editor-container">
    <el-row type="flex" align="middle" class="header-filter">
      <el-col :span="12">
        <h2>Pengguna Aplikasi RiTx Bertani</h2>
      </el-col>
      <el-col :span="12">
        <a v-on:click="openFilter()" class="link-right">
          <span>{{ isOpen ? "Tutup" : "Buka" }} Filter</span>
          <svg-icon icon-class="filter" class="bigger" />
        </a>
      </el-col>
    </el-row>
    <transition name="fade">
      <filter-component @updateParams="updateParams" v-show="this.isOpen" />
    </transition>
    <iframe width="100%" height="500" src="https://datastudio.google.com/embed/reporting/d8f9ea5a-a27d-4477-b1ca-31a6b515243a/page/sX2cC" frameborder="0" style="border:0" allowfullscreen></iframe>
  </div>
</template>

<script>
import FilterComponent from './components/FilterComponent';
import Activity from './components/Activity';

export default {
  name: 'DashboardAdmin',
  components: {
    FilterComponent,
    Activity
  },
  created() {
    this.getData();
  },
  data() {
    return {
      isOpen: false
    };
  },
  computed: {
    totalActiveCount: {
      get: function() {
        return this.$store.state.activity.totalActiveCount;
      }
    }
  },
  methods: {
    openFilter() {
      this.isOpen = !this.isOpen;
    },
    updateParams(params) {
      this.openFilter();
      this.params = {
        gender: params.gender,
        id_city: params.city.join(),
        commodity: params.commodity.join(),
        status_id: params.status,
        quFrom: params.value1,
        quTo: params.value2
      };
      this.getData();
    },
    getData() {
      this.$store.dispatch('totalRegisteredFarmer', this.params);
      this.$store.dispatch('totalFarmerhasField', this.params);
      this.$store.dispatch('totalFarmerhasCommodity', this.params);
      this.$store.dispatch('totalActiveFarmer', this.params);
      this.$store.dispatch('getFarmerByGender', this.params);
      this.$store.dispatch('getAllCommodity', this.params);
      this.$store.dispatch('getAllField', this.params);
      this.$store.dispatch('getFarmerByStatus', this.params);
      this.$store.dispatch('getCommodityPlant', this.params);
      this.$store.dispatch('countFarmerByLocation', this.params);
      this.$store.dispatch('getAppActivities', this.params);
      this.$store.dispatch('getUserActivityReport', this.params);
      this.$store.dispatch('getTotalActiveCount', this.params);
      this.$store.dispatch('getCountActiveUser', this.params);
    }
  }
};
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
@import '@/styles/variables.scss';
@import '@/styles/mixin.scss';
.dashboard-editor-container {
  padding: 32px;
  .header-filter {
    h2 {
      font-size: 32px;
      color: #086939;
    }
    .link-right {
      font-size: 16px;
      color: #086939;
      font-weight: bold;
      float: right;
      span {
        margin-right: 9px;
      }
      .bigger.svg-icon {
        width: 23px;
        height: 23px;
        margin-bottom: -5px;
      }
    }
  }
  .el-row--shaded {
    @include ritx-box;
  }
  .chart-wrapper {
    background: #fff;
    padding: 16px 16px 0 16px;
    margin-bottom: 32px;
    @include ritx-box;
    h3 {
      display: inline-block;
    }
  }
  .commodity-container {
    display: flex;
  }
  .farmer-count {
    display: inline-block;
    color: $ritx-dark-green;
    font-weight: 700;
    margin-left: 30px;
  }
}

hr.overflow {
  margin-left: -15px;
  margin-right: -15px;
}
</style>
